# texteff.cpp File Reference

Handling of text effects. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "strings_type.h"`
`#include "texteff.hpp"`
`#include "core/bitmath_func.hpp"`
`#include "transparency.h"`
`#include "strings_func.h"`
`#include "core/alloc_func.hpp"`
`#include "functions.h"`
`#include "viewport_func.h"`
`#include "settings_type.h"`

Go to the source code of this file.

## Data Structures
struct | TextEffect
## Enumerations
enum | { INIT_NUM_TEXT_EFFECTS = 20 }
## Functions
static void | MarkTextEffectAreaDirty (TextEffect *te)
| Mark the area of the text effect as dirty.
TextEffectID | AddTextEffect (StringID msg, int x, int y, uint16 duration, TextEffectMode mode)
void | UpdateTextEffect (TextEffectID te_id, StringID msg)
void | RemoveTextEffect (TextEffectID te_id)
static void | MoveTextEffect (TextEffect *te)
void | MoveAllTextEffects ()
void | InitTextEffects ()
void | DrawTextEffects (DrawPixelInfo *dpi)
## Variables
static TextEffect * | _text_effect_list = NULL
static uint16 | _num_text_effects = INIT_NUM_TEXT_EFFECTS

## Detailed Description

Handling of text effects.

Definition in file texteff.cpp.